
var mainWnd = null;
var adjustInterval = null;
var loopCounter = 0;

/****************************************************************
* 機　能： ログアウト
* 引　数： なし
* 戻り値： なし
****************************************************************/
function sysLogout(path) {

    if (confirm('ログアウトします。よろしいですか？')) {

        var p;

        if (p == null) {
            path = "../../";
        }

        document.location = path + "frmLogin.aspx"

    }
}

/****************************************************************
* 機　能： ダイアログ画面のハンドル設定
* 引　数： なし
* 戻り値： なし
****************************************************************/
function f_AdjustWindow() {

    if (mainWnd == null || mainWnd.closed == true || loopCounter > 100) {
        if (adjustInterval != null) {
            window.clearInterval(adjustInterval);
        }
        return;
    }

    try {
        mainWnd.moveTo(0, 0);
        mainWnd.resizeTo(1040, 800);
        mainWnd.focus();
        mainWnd = null;
    } catch (e) {
    }

    loopCounter++;
}

/****************************************************************
* 機　能： ダイアログ画面を開く
* 引　数： 遷移先画面、画面ID
* 戻り値： なし
****************************************************************/
function f_SystemStart(nextPath, frmId) {

    var height = 800;
    var width = 1040;

    var ua = window.navigator.userAgent.toLowerCase();

    if (f_CheckCookie() == true) {

        var left = Number((window.screen.width - width) / 2);
        var top = Number((window.screen.height - height) / 2);

        if (ua.indexOf('chrome') != -1) {

            mainWnd = window.open(nextPath, frmId, "top=" + top + ",left=" + left + ",width=" + width + "px,height=" + height + "px, scrollbars=yes,status=yes,location=no,menubar=no,resizable=no", true);

        } else {

            //mainWnd = window.showModalDialog(nextPath, frmId, "dialogheight:" + height + "px;dialogwidth:" + width + "px;dialogleft:" + left + "px;dialogtop:" + top + "px;resizable:no;scroll:no");
            mainWnd = window.open(nextPath, frmId, "top=" + top + ",left=" + left + ",width=" + width + "px,height=" + height + "px, scrollbars=yes,status=yes,location=no,menubar=no,resizable=no", true);

        }

        loopCounter = 1;
        adjustInterval = window.setInterval(f_AdjustWindow, 10);
    }
}

/****************************************************************
* 機　能： クッキーの中身を取得する 
* 引　数： なし
* 戻り値： true : 有効　　false : 無効 
****************************************************************/ 
function f_GetCookie(key, tmp1, tmp2, xx1, xx2, xx3) {
    tmp1 = " " + document.cookie + ";";
    xx1 = xx2 = 0;
    len = tmp1.length;
    while (xx1 < len) {
        xx2 = tmp1.indexOf(";", xx1);
        tmp2 = tmp1.substring(xx1 + 1, xx2);
        xx3 = tmp2.indexOf("=");
        if (tmp2.substring(0, xx3) == key) {
            return (unescape(tmp2.substring(xx3 + 1, xx2 - xx1 - 1)));
        }
        xx1 = xx2 + 1;
    }
    return ("");
}

/****************************************************************
* 機　能： クッキーが有効かどうかの判定を行う。 
* 引　数： なし
* 戻り値： true : 有効　　false : 無効 
****************************************************************/ 
function f_CheckCookie() {
    var res = false;
    var tmp = "cookiecheck=" + escape('true') + "; ";

    document.cookie = tmp;
    cookiecheck = f_GetCookie("cookiecheck");

    if (cookiecheck == "true") {
        res = true;
    }

    tmp = "cookiecheck=" + escape('') + "; ";
    document.cookie = tmp;

    if (res == false) {
        alert("cookieがブロックされているためシステム開始出来ません。\r\nブロックを解除して下さい。");
    }

    return res;
}

/****************************************************************
* 機　能： 特定のキーが押下されたらキー入力を無効にする 
* 引　数： なし
* 戻り値： なし 
****************************************************************/ 
function key_get() {
    chr0 = event.keyCode;

    //[F2]終了、[F5]更新
    if (chr0 == 113 || chr0 == 123 || chr0 == 116) {
        //document.frm1.hdnKeyCode.value = chr0;
        event.keyCode = 0;
        //document.frm1.submit();
        return false;
        //[Enter]
    } else if (chr0 == 13) {
        //[Shift+Enter]
        if (event.shiftKey == true) {
            //document.frm1.hdnKeyCode.value = '';
            //[Alt+Enter]
        } else if (event.altKey == true) {
            event.keyCode = 0;
            //[Enter]only
        } else {
            //document.frm1.hdnKeyCode.value = "";
            if ((event.srcElement.type != "button") && (event.srcElement.type != "submit") && (event.srcElement.type != "textarea")) {
                event.keyCode = 9;
            }
        }
        //[BackSpace]
    } else if (chr0 == 8) {
        if (window.event.srcElement.type != 'textarea')
            event.keyCode = 0;
    } else {
        //document.frm1.hdnKeyCode.value = "";
    }
}

/****************************************************************
* 機　能： システム終了のメッセージボックスを表示し、OKボタンが押下されたら画面を閉じる。  
* 引　数： btnid ボタンID
* 戻り値： 正：true　不正：false  
****************************************************************/ 
function closeWindow(btnid) {
    if (confirm("ログアウトしてもよろしいですか？")) {
        document.frm1.hdnYesLogout.value = "1";
        __doPostBack(btnid, '');
    }
}

/****************************************************************
* 機　能： URLのQueryStringを取得する
* 　　　： QueryStringとはURLの後ろにつく?以降の文字列
* 　　　： index.html?key=1&value=2 みたいなやつ
* 戻り値： キーと値が格納された配列  
****************************************************************/
function getUrlQueryString() {

    var vars = [], max = 0, hash = "", array = "";
    var url = window.location.search;

    //?を取り除くため、1から始める。複数のクエリ文字列に対応するため、&で区切る
    hash = url.slice(1).split('&');
    max = hash.length;
    for (var i = 0; i < max; i++) {
        array = hash[i].split('=');    //keyと値に分割。
        vars.push(array[0]);    //末尾にクエリ文字列のkeyを挿入。
        vars[array[0]] = array[1];    //先ほど確保したkeyに、値を代入。
    }

    return vars;
}


/****************************************************************
* 機　能： 指定された文字列を指定した文字から指定後の文字に置換します。  
* 引　数： expression 指定文字列　org 対象文字　dest 置換後の文字
* 戻り値： 正：true　不正：false  
****************************************************************/ 
function replaceAll(expression, org, dest) {
    return expression.split(org).join(dest);
}

/****************************************************************
 * 機　能： 入力された値が日付でYYYYMMDD形式になっているか調べる  
 * 引　数： datestr　入力された値  tFieldName 対象名
 * 戻り値： 正：true　不正：false  
 ****************************************************************/ 
function ckDate(datestr, tFieldName) {

    // 正規表現による書式チェック
    //if (!datestr.match(/^\d{4}\/\d{2}\/\d{2}$/)) {

    // 数値チェック
    if (isNaN(datestr)) {
        alert(tFieldName + "は半角数値で入力してください。");
        return false;
    }

    // 桁数チェック
    if (datestr.toString().length != 8) {
        alert(tFieldName + "は8桁で入力してください。");
        return false;
    }

    var vYear = datestr.substr(0, 4) - 0;
    var vMonth = datestr.substr(4, 2) - 1; // Javascriptは、0-11で表現
    var vDay = datestr.substr(6, 2) - 0;

    // 月,日の妥当性チェック
    if (vMonth >= 0 && vMonth <= 11 && vDay >= 1 && vDay <= 31) {
        var vDt = new Date(vYear, vMonth, vDay);

        if (isNaN(vDt)) {
            return false;
        } else if (vDt.getFullYear() == vYear && vDt.getMonth() == vMonth && vDt.getDate() == vDay) {
            return true;
        } else {
            alert(tFieldName + "の日付が不正です。");
            return false;
        }

    } else {
        alert(tFieldName + "の日付が不正です。");
        return false;
    }
}

/****************************************************************
* 機　能： 入力された値が日付でYYYY/MM/DD形式になっているか調べる
* 引　数： datestr　入力された値
* 戻り値： 正：true　不正：false
****************************************************************/
function checkSlashDate(datestr) {

    var d = document.getElementById(datestr);
    var dv = d.value;

    // 空時は何もしない
    if (dv == "") {
        return true;
    }

    // 正規表現による書式チェック
    if (!dv.match(/^\d{4}\/\d{2}\/\d{2}$/)) {
        alert("日付が不正です。");
        d.focus();
        return false;
    }

    var vYear = dv.substr(0, 4) - 0;
    var vMonth = dv.substr(5, 2) - 1; // Javascriptは、0-11で表現
    var vDay = dv.substr(8, 2) - 0;

    // 月,日の妥当性チェック
    if (vMonth >= 0 && vMonth <= 11 && vDay >= 1 && vDay <= 31) {
        var vDt = new Date(vYear, vMonth, vDay);
        if (isNaN(vDt)) {
            alert("日付が不正です。");
            d.focus();
            return false;
        } else if (vDt.getFullYear() == vYear && vDt.getMonth() == vMonth && vDt.getDate() == vDay) {
            return true;
        } else {
            alert("日付が不正です。");
            d.focus();
            return false;
        }
    } else {
        alert("日付が不正です。");
        d.focus();
        return false;
    }
}


/****************************************************************
* 機　能： 入力された値が禁則記号かどうかチェックを行う 
* 引　数： str　入力された値
* 戻り値： 正：true　不正：false  
****************************************************************/
function ckSign(str) {

    if (str.toString().indexOf("'", 0) >= 0) {
        return false;
    }

    if (str.toString().indexOf(",", 0) >= 0) {
        return false;
    }

    if (str.toString().indexOf("，", 0) >= 0) {
        return false;
    }

    return true;
}

/****************************************************************
* 機　能： 入力された値が全角であるかをチェックを行う
* 引　数： value　入力された値
* 戻り値： ture : 全角 / flase : 全角以外
****************************************************************/
function checkIsZenkaku(value) {
    for (var i = 0; i < value.length; ++i) {
        var c = value.charCodeAt(i);
        //  半角カタカナは不許可
        if (c < 256 || (c >= 0xff61 && c <= 0xff9f)) {
            return false;
        }
    }
    return true;
}

/****************************************************************
* 機　能： 入力された値の文字列のバイト数を取得する
* 　　　： 全角を2バイト、半角を1バイトとしてカウント
* 引　数： value　バイトを取得する値
* 戻り値： 取得したバイト数
****************************************************************/
function getByteCount(value) {
    var count = 0;
    for (var i = 0; i < value.length; ++i) {
        var sub = value.substring(i, i + 1);
        //全角の場合２バイト追加。
        if (checkIsZenkaku(sub)) {
            count += 2;
        } else {
            count += 1;
        }
    }
    return count;
}

/****************************************************************
* 機　能： マウスカーソルを砂時計に設定
* 引　数： なし
* 戻り値： なし
****************************************************************/
function setMouseWaitStart() {
    document.body.style.cursor = "wait";
}

/****************************************************************
* 機　能： 1桁の数値を2桁に変換する
* 引　数： 対象数値
* 戻り値： 変換数値
****************************************************************/
function numFormat(num) {
    if (num < 10) {
        return "0" + num;
    } else {
        return "" + num;
    }
}

/****************************************************************
* 機　能： 入力日付がyyyymmddになっているかどうか調べる
* 引　数： 対象日付
* 戻り値： チェックOKなら空白、それ以外は"1"を返す
****************************************************************/
function checkSeirekiDate(str) {
    var y = str.charAt(0) + str.charAt(1) + str.charAt(2) + str.charAt(3);
    var m = str.charAt(4) + str.charAt(5);
    var d = str.charAt(6) + str.charAt(7);

    // 月,日の妥当性チェック
    if (parseInt(m, 10) - 1 >= 0 && parseInt(m, 10) - 1 <= 11 && parseInt(d, 10) >= 1 && parseInt(d, 10) <= 31) {

        var vDt = new Date(parseInt(y, 10), (parseInt(m, 10) - 1), parseInt(d, 10));

        if (isNaN(vDt)) {
            return false;
        } else if (vDt.getFullYear() == y && vDt.getMonth() == parseInt(m, 10) - 1 && vDt.getDate() == parseInt(d, 10)) {

        } else {
            return "1";
        }
    } else {
        return "1";
    }

    return "";
}

/****************************************************************
* 機　能： 半角英数字チェック
* 引　数： 対象文字列
* 戻り値： 全ての文字列が半角英数字ならTrue / それ以外が混じっていたらFalse
****************************************************************/
function checkHankaku(aVal) {

    if (aVal.match(/[^0-9A-Za-z]+/) == null) {
        return true;
    } else {
        return false;
    }

}

/****************************************************************
* 機　能： 時間(1～23)チェック
* 引　数： 時の文字列
* 戻り値： 正常ならTrue / 異常ならFalse
****************************************************************/
function checkHour(obj) {

    var d = document.getElementById(obj);
    var dv = d.value;

    if (dv == "") {
        return true;
    }

    if (isFinite(dv) == false) {
        alert("数値が不正です。");
        return false;
    }

    if (dv >= 0 && dv <= 23) {
        return true;
    } else {
        alert("時間は0～23の間で入力してください。");
        d.focus();
        return false;
    }
}

/****************************************************************
* 機　能： 分(1～59)チェック
* 引　数： 分の文字列
* 戻り値： 正常ならTrue / 異常ならFalse
****************************************************************/
function checkMin(obj) {

    var d = document.getElementById(obj);
    var dv = d.value;

    if (dv == "") {
        return true;
    }

    if (isFinite(dv) == false) {
        alert("数値が不正です。");
        return false;
    }

    if (dv >= 0 && dv <= 59) {
        return true;
    } else {
        alert("分は0～59の間で入力してください。");
        d.focus();
        return false;
    }
}

/****************************************************************
* 機　能： 数値の範囲チェック
* 引　数： 対象オブジェクト、対象文字、最少値、最大値
* 戻り値： 正常ならTrue / 異常ならFalse
****************************************************************/
function checkNumBetween(obj, str ,minVal, maxVal) {

    var d = document.getElementById(obj);
    var dv = d.value;

    if (dv == "") {
        return true;
    }

    if (isFinite(dv) == false) {
        alert("数値が不正です。");
        return false;
    }

    if (dv >= minVal && dv <= maxVal) {
        return true;
    } else {
        alert(str + "は" + minVal + "～" + maxVal + "の間で入力してください。");
        d.focus();
        return false;
    }
}

/****************************************************************
* 機　能： ファイルパスからファイル名を取得
* 引　数： ファイルパス
* 戻り値： ファイル名
****************************************************************/
function getFileName(file_path) {
    file_name = file_path.substring(file_path.lastIndexOf('\\') + 1, file_path.length);
    return file_name;
}
